searchNodes=[{"ref":"Krakex.html","title":"Krakex","type":"module","doc":"Kraken API Client. The Kraken API is divided into several sections: Public market data server_time/1 - Get server time. assets/2 - Get asset info. asset_pairs/2 - Get tradable asset pairs. ticker/2 - Get ticker information. ohlc/3 - Get OHLC data. depth/3 - Get order book. trades/3 - Get recent trades. spread/3 - Get recent spread data. Private user data balance/1 - Get account balance. trade_balance/2 - Get trade balance. open_orders/2 - Get open orders. closed_orders/2 - Get closed orders. query_orders/3 - Query orders info. trades_history/3 - Get trades history. query_trades/3 - Query trades info. open_positions/3 - Get open positions. ledgers/3 - Get ledgers info. query_ledgers/2 - Query ledgers. trade_volume/2 - Get trade volume. Private user trading add_order/6 - Add standard order. cancel_order/2 - Cancel open order. Private user funding deposit_methods/3 - Get deposit methods. deposit_addresses/4 - Get deposit addresses. deposit_status/4 - Get status of recent deposits. withdraw_info/5 - Get withdrawal information. withdraw/5 (not implemented) - Withdraw funds. withdraw_status/3 (not implemented) - Get status of recent withdrawals. withdraw_cancel/4 (not implemented) - Request withdrawal cancelation."},{"ref":"Krakex.html#add_order/6","title":"Krakex.add_order/6","type":"function","doc":"Add standard order. Takes the following arguments: asset pair type - &quot;buy&quot; or &quot;sell&quot;. ordertype - one of the following: &quot;market&quot; &quot;limit&quot; - (price = limit price). &quot;stop-loss&quot; - (price = stop loss price). &quot;take-profit&quot; - (price = take profit price). &quot;stop-loss-profit&quot; - (price = stop loss price, price2 = take profit price). &quot;stop-loss-profit-limit&quot; - (price = stop loss price, price2 = take profit price). &quot;stop-loss-limit&quot; - (price = stop loss trigger price, price2 = triggered limit price). &quot;take-profit-limit&quot; - (price = take profit trigger price, price2 = triggered limit price). &quot;trailing-stop&quot; - (price = trailing stop offset). &quot;trailing-stop-limit&quot; - (price = trailing stop offset, price2 = triggered limit offset). &quot;stop-loss-and-limit&quot; - (price = stop loss price, price2 = limit price). &quot;settle-position&quot; volume - order volume in lots. and the following keyword options: :price - price (dependent upon ordertype). :price2 - secondary price (dependent upon ordertype). :leverage - amount of leverage desired (default = none). :oflags - list of order flags: :viqc - volume in quote currency (not available for leveraged orders). :fcib - prefer fee in base currency. :fciq - prefer fee in quote currency. :nompp - no market price protection. :post - post only order (available when ordertype = limit). :starttm - scheduled start time: 0 - now (default). +&lt;n&gt; - schedule start time seconds from now. &lt;n&gt; - unix timestamp of start time. :expiretm - expiration time: 0 - no expiration (default). +&lt;n&gt; - expire seconds from now. &lt;n&gt; - unix timestamp of expiration time. :userref - user reference id. 32-bit signed number. :validate - validate inputs only (does not submit order). Returns a map with the following fields: &quot;descr&quot; - order description info. &quot;order&quot; - order description. &quot;close&quot; - onditional close order description (if conditional close set). &quot;txid&quot; - array of transaction ids for order (if order was added successfully). Note: See asset_pairs/2 for specifications on asset pair prices, lots, and leverage. Prices can be preceded by +, -, or # to signify the price as a relative amount (with the exception of trailing stops, which are always relative). + adds the amount to the current offered price. - subtracts the amount from the current offered price. # will either add or subtract the amount to the current offered price, depending on the type and order type used. Relative prices can be suffixed with a % to signify the relative amount as a percentage of the offered price. For orders using leverage, 0 can be used for the volume to auto-fill the volume needed to close out your position. If you receive the error &quot;EOrder:Trading agreement required&quot;, refer to your API key management page for further details. Example response: {:ok, %{ &quot;descr&quot; =&gt; %{&quot;order&quot; =&gt; &quot;sell 100.00000000 XRPEUR @ limit 1.50000&quot;}, &quot;txid&quot; =&gt; [&quot;OL63HZ-UFU23-CKEBRA&quot;] }}"},{"ref":"Krakex.html#asset_pairs/2","title":"Krakex.asset_pairs/2","type":"function","doc":"Get tradable asset pairs. Takes the following keyword options: :info - info to retrieve. &quot;info&quot; - all info (default). &quot;leverage&quot; - leverage info. &quot;fees&quot; - fees schedule. &quot;margin&quot; - margin info. :pair - list of asset pairs to get info on. Returns all (default) Returns a map of asset pairs and a map of their info with the fields: &quot;altname&quot; - alternate pair name. &quot;aclass_base&quot; - asset class of base component. &quot;base&quot; - asset id of base component. &quot;aclass_quote&quot; - asset class of quote component. &quot;quote&quot; - asset id of quote component. &quot;lot&quot; - volume lot size. &quot;pair_decimals&quot; - scaling decimal places for pair. &quot;lot_decimals&quot; - scaling decimal places for volume. &quot;lot_multiplier&quot; - amount to multiply lot volume by to get currency volume. &quot;leverage_buy&quot; - array of leverage amounts available when buying. &quot;leverage_sell&quot; - array of leverage amounts available when selling. &quot;fees&quot; - fee schedule array in [volume, percent fee] tuples. &quot;fees_maker&quot; - maker fee schedule array in [volume, percent fee] tuples (if on maker/taker). &quot;fee_volume_currency&quot; - volume discount currency. &quot;margin_call&quot; - margin call level. &quot;margin_stop&quot; - stop-out/liquidation margin level. Example response: {:ok, %{&quot;BCHEUR&quot; =&gt; %{&quot;aclass_base&quot; =&gt; &quot;currency&quot;, &quot;aclass_quote&quot; =&gt; &quot;currency&quot;, &quot;altname&quot; =&gt; &quot;BCHEUR&quot;, &quot;base&quot; =&gt; &quot;BCH&quot;, &quot;fee_volume_currency&quot; =&gt; &quot;ZUSD&quot;, &quot;fees&quot; =&gt; [[0, 0.26], [50000, 0.24], [100000, 0.22], [250000, 0.2], [500000, 0.18], [1000000, 0.16], [2500000, 0.14], [5000000, 0.12], [10000000, 0.1]], &quot;fees_maker&quot; =&gt; [[0, 0.16], [50000, 0.14], [100000, 0.12], [250000, 0.1], [500000, 0.08], [1000000, 0.06], [2500000, 0.04], [5000000, 0.02], [10000000, 0]], &quot;leverage_buy&quot; =&gt; [], &quot;leverage_sell&quot; =&gt; [], &quot;lot&quot; =&gt; &quot;unit&quot;, &quot;lot_decimals&quot; =&gt; 8, &quot;lot_multiplier&quot; =&gt; 1, &quot;margin_call&quot; =&gt; 80, &quot;margin_stop&quot; =&gt; 40, &quot;pair_decimals&quot; =&gt; 1, &quot;quote&quot; =&gt; &quot;ZEUR&quot;}}"},{"ref":"Krakex.html#assets/2","title":"Krakex.assets/2","type":"function","doc":"Get asset info. Takes the following keyword options: :info - info to retrieve. &quot;info&quot; (default) :aclass - asset class. &quot;currency&quot; (default) :asset - list of assets to get info on. Returns all (default) Returns a map of asset names and a map of their info with the fields: &quot;altname&quot; - alternate name. &quot;aclass&quot; - asset class. &quot;decimals&quot; - scaling decimal places for record keeping. &quot;display_decimals&quot; - scaling decimal places for output display. Example response: {:ok, %{&quot;BCH&quot; =&gt; %{&quot;aclass&quot; =&gt; &quot;currency&quot;, &quot;altname&quot; =&gt; &quot;BCH&quot;, &quot;decimals&quot; =&gt; 10, &quot;display_decimals&quot; =&gt; 5}}}"},{"ref":"Krakex.html#balance/1","title":"Krakex.balance/1","type":"function","doc":"Get account balance. Returns a map with the asset names and balance amount. Example response: {:ok, %{&quot;XXBT&quot; =&gt; &quot;0.0400000000&quot;, &quot;XXRP&quot; =&gt; &quot;160.00000000&quot;, &quot;ZEUR&quot; =&gt; &quot;67.6613&quot;}}"},{"ref":"Krakex.html#cancel_order/2","title":"Krakex.cancel_order/2","type":"function","doc":"Cancel open order. Takes a tx_id for the order to cancel. Returns a map with the following fields: &quot;count&quot; - number of orders canceled. &quot;pending&quot; - if set, order(s) is/are pending cancellation. Note: tx_id may be a user reference id. Example response: {:ok, %{&quot;count&quot; =&gt; 1}}"},{"ref":"Krakex.html#closed_orders/2","title":"Krakex.closed_orders/2","type":"function","doc":"Get closed orders. Takes the following keyword options: :trades - whether or not to include trades in output. false (default) :userref - restrict results to given user reference id. :start - starting unix timestamp or order tx id of results (exclusive). :end - ending unix timestamp or order tx id of results (inclusive). :ofs - result offset. :closetime - which time to use. &quot;open&quot; &quot;close&quot; &quot;both&quot; - (default). Returns a map with the key &quot;closed&quot; and a map of closed orders as the value. Additionally, the map may contain: &quot;count&quot; - amount of available order info matching criteria. The map of closed orders has the txid as the key and the value is a map with the same fields as in open orders (see open_orders/2) but can contain the additional fields: &quot;closetm&quot; - unix timestamp of when order was closed. &quot;reason&quot; - additional info on status (if any). Note: Times given by order tx ids are more accurate than unix timestamps. If an order tx id is given for the time, the order&#39;s open time is used. Example response: {:ok, %{ &quot;closed&quot; =&gt; %{ &quot;O5KKP6-NXBOJ-KPXCTA&quot; =&gt; %{ &quot;closetm&quot; =&gt; 1516182880.603, &quot;cost&quot; =&gt; &quot;57.0&quot;, &quot;descr&quot; =&gt; %{ &quot;close&quot; =&gt; &quot;&quot;, &quot;leverage&quot; =&gt; &quot;none&quot;, &quot;order&quot; =&gt; &quot;buy 0.00670000 XBTEUR @ market&quot;, &quot;ordertype&quot; =&gt; &quot;market&quot;, &quot;pair&quot; =&gt; &quot;XBTEUR&quot;, &quot;price&quot; =&gt; &quot;0&quot;, &quot;price2&quot; =&gt; &quot;0&quot;, &quot;type&quot; =&gt; &quot;buy&quot; }, &quot;expiretm&quot; =&gt; 0, &quot;fee&quot; =&gt; &quot;0.00000&quot;, &quot;limitprice&quot; =&gt; &quot;0.00000&quot;, &quot;misc&quot; =&gt; &quot;&quot;, &quot;oflags&quot; =&gt; &quot;fciq&quot;, &quot;opentm&quot; =&gt; 1516182880.5874, &quot;price&quot; =&gt; &quot;8510.4&quot;, &quot;reason&quot; =&gt; nil, &quot;refid&quot; =&gt; nil, &quot;starttm&quot; =&gt; 0, &quot;status&quot; =&gt; &quot;closed&quot;, &quot;stopprice&quot; =&gt; &quot;0.00000&quot;, &quot;userref&quot; =&gt; 0, &quot;vol&quot; =&gt; &quot;0.00670000&quot;, &quot;vol_exec&quot; =&gt; &quot;0.00670000&quot; } } }}"},{"ref":"Krakex.html#deposit_addresses/4","title":"Krakex.deposit_addresses/4","type":"function","doc":"Get deposit addresses. Takes an asset, a deposit method, and the following keyword options: :aclass - asset class. &quot;currency&quot; (default) :new - whether or not to generate a new address. (default: false) Returns a list of maps with the following fields: &quot;address&quot; - deposit address. &quot;expiretm&quot; - expiration time in unix timestamp, or 0 if not expiring. &quot;new&quot; - whether or not address has ever been used. Example response: {:ok, [ %{ &quot;address&quot; =&gt; &quot;38mKXaQiKBZn549tx41igEdLPPYMVeD34h&quot;, &quot;expiretm&quot; =&gt; &quot;0&quot;, &quot;new&quot; =&gt; true } ]}"},{"ref":"Krakex.html#deposit_methods/3","title":"Krakex.deposit_methods/3","type":"function","doc":"Get deposit methods. Takes an asset and the following keyword options: :aclass - asset class. &quot;currency&quot; (default) Returns a list of maps with the following fields: &quot;method&quot; - name of deposit method. &quot;limit&quot; - maximum net amount that can be deposited right now, or false if no limit. &quot;fee&quot; - amount of fees that will be paid. &quot;address-setup-fee&quot; - whether or not method has an address setup fee (optional). Example response: {:ok, [%{&quot;fee&quot; =&gt; &quot;5.00&quot;, &quot;limit&quot; =&gt; &quot;25000.00&quot;, &quot;method&quot; =&gt; &quot;SynapsePay (US Wire)&quot;}]}"},{"ref":"Krakex.html#deposit_status/4","title":"Krakex.deposit_status/4","type":"function","doc":"Get status of recent deposits. Takes an asset, a deposit method, and the following keyword options: :aclass - asset class. &quot;currency&quot; (default) Returns a list of maps with the following fields: &quot;method&quot; - name of the deposit method used. &quot;aclass&quot; - asset class. &quot;asset&quot; - asset X-ISO4217-A3 code. &quot;refid&quot; - reference id. &quot;txid&quot; - method transaction id. &quot;info&quot; - method transaction information. &quot;amount&quot; - amount deposited. &quot;fee&quot; - fees paid. &quot;time&quot; - unix timestamp when request was made. &quot;status&quot; - status of deposit. &quot;status-prop&quot; - additional status properties (if available): &quot;return&quot; - a return transaction initiated by Kraken. &quot;onhold&quot; - deposit is on hold pending review."},{"ref":"Krakex.html#depth/3","title":"Krakex.depth/3","type":"function","doc":"Get order book. Returns the market depth for an asset pair. Takes an asset pair and the following keyword options: :count - maximum number of asks/bids. Returns a map of the asset pair and a map of the info with the fields: &quot;asks&quot; - ask side array of array entries (price, volume, timestamp). &quot;bids&quot; - bid side array of array entries (price, volume, timestamp). Example response: {:ok, %{&quot;BCHEUR&quot; =&gt; %{&quot;asks&quot; =&gt; [[&quot;2033.900000&quot;, &quot;4.937&quot;, 1515082275], [&quot;2034.000000&quot;, &quot;0.548&quot;, 1515081910], [&quot;2034.500000&quot;, &quot;0.005&quot;, 1515081281], [&quot;2034.800000&quot;, &quot;4.637&quot;, 1515082048]], &quot;bids&quot; =&gt; [[&quot;2025.000000&quot;, &quot;1.024&quot;, 1515081702], [&quot;2022.200000&quot;, &quot;0.140&quot;, 1515078885], [&quot;2022.100000&quot;, &quot;0.280&quot;, 1515078852], [&quot;2021.400000&quot;, &quot;0.248&quot;, 1515080222]]}}}"},{"ref":"Krakex.html#ledgers/3","title":"Krakex.ledgers/3","type":"function","doc":"Get ledgers info. Takes an offset and the following keyword options: :aclass - asset class. &quot;currency&quot; (default) :asset - list of assets to restrict output to. &quot;currency&quot; (default) :type - type of ledger to retrieve: &quot;all&quot; - default. &quot;deposit&quot; &quot;withdrawal&quot; &quot;trade&quot; &quot;margin&quot; :start - starting unix timestamp or ledger id of results. (exclusive) :end - ending unix timestamp or ledger id of results. (inclusive) Returns a map with the ledger id as the key and the value is a map with fields: &quot;refid&quot; - reference id. &quot;time&quot; - unix timestamp of ledger. &quot;type&quot; - type of ledger entry. &quot;aclass&quot; - asset class. &quot;asset&quot; - asset. &quot;amount&quot; - transaction amount. &quot;fee&quot; - transaction fee. &quot;balance&quot; - resulting balance. Note: Times given by ledger ids are more accurate than unix timestamps."},{"ref":"Krakex.html#ohlc/3","title":"Krakex.ohlc/3","type":"function","doc":"Get OHLC data. An open-high-low-close chart is a type of chart typically used to illustrate movements in the price of a financial instrument over time. Each vertical line on the chart shows the price range (the highest and lowest prices) over one unit of time, e.g., one day or one hour Takes list of asset pairs to get info on. Takes an asset pair and the following keyword options: :interval - time frame interval in minutes. 1 (default), 5, 15, 30, 60, 240, 1440, 10080, 21600 :since - return committed OHLC data since given id (exclusive). Returns a map with the asset pair and a list of lists with the entries (time, open, high, low, close, vwap, volume, count) and: &quot;last&quot; - id to be used as since when polling for new, committed OHLC data. Note: the last entry in the OHLC array is for the current, not-yet-committed frame and will always be present, regardless of the value of :since. Example response: {:ok, %{&quot;BCHEUR&quot; =&gt; [[1515037200, &quot;2051.7&quot;, &quot;2051.7&quot;, &quot;2051.7&quot;, &quot;2051.7&quot;, &quot;0.0&quot;, &quot;0.00000000&quot;, 0], [1515037260, &quot;2051.7&quot;, &quot;2051.7&quot;, &quot;2045.0&quot;, &quot;2045.0&quot;, &quot;2045.0&quot;, &quot;0.01500000&quot;, 1], [1515037320, &quot;2045.0&quot;, &quot;2050.8&quot;, &quot;2045.0&quot;, &quot;2050.8&quot;, &quot;2050.7&quot;, &quot;2.37135868&quot;, 2], [1515037380, &quot;2050.8&quot;, &quot;2050.8&quot;, &quot;2050.8&quot;, &quot;2050.8&quot;, &quot;0.0&quot;, &quot;0.00000000&quot;, 0], ...], &quot;last&quot; =&gt; 1515080280}}"},{"ref":"Krakex.html#open_orders/2","title":"Krakex.open_orders/2","type":"function","doc":"Get open orders. Takes the following keyword options: :trades - whether or not to include trades in output. false (default) :userref - restrict results to given user reference id. Returns a map with the txid as the key and the value is a map with the fields: &quot;refid&quot; - Referral order transaction id that created this order. &quot;userref&quot; - user reference id. &quot;status&quot; - status of order: &quot;pending&quot; - order pending book entry. &quot;open&quot; - open order. &quot;closed&quot; - closed order. &quot;canceled&quot; - order cancelled. &quot;expired&quot; - order expired. &quot;opentm&quot; - unix timestamp of when order was placed. &quot;starttm&quot; - unix timestamp of order start time (or 0 if not set). &quot;expiretm&quot; - unix timestamp of order end time (or 0 if not set). &quot;descr&quot; - order description info: &quot;pair&quot; - asset pair. &quot;type&quot; - type of order (buy/sell). &quot;ordertype&quot; - order type (See Add standard order). &quot;price&quot; - primary price. &quot;price2&quot; - secondary price. &quot;leverage&quot; - amount of leverage. &quot;order&quot; - order description. &quot;close&quot; - conditional close order description (if conditional close set). &quot;vol&quot; - volume of order (base currency unless viqc set in oflags). &quot;vol_exec&quot; - volume executed (base currency unless viqc set in oflags). &quot;cost&quot; - total cost (quote currency unless unless viqc set in oflags). &quot;fee&quot; - total fee (quote currency). &quot;price&quot; - average price (quote currency unless viqc set in oflags). &quot;stopprice&quot; - stop price (quote currency, for trailing stops). &quot;limitprice&quot; - triggered limit price (quote currency, when limit based order type triggered). &quot;misc&quot; - comma delimited list of miscellaneous info: &quot;stopped&quot; - triggered by stop price. &quot;touched&quot; - triggered by touch price. &quot;liquidated&quot; - liquidation. &quot;partial&quot; - partial fill. &quot;oflags&quot; - comma delimited list of order flags: &quot;viqc&quot; - volume in quote currency. &quot;fcib&quot; - prefer fee in base currency (default if selling). &quot;fciq&quot; - prefer fee in quote currency (default if buying). &quot;nompp&quot; - no market price protection. &quot;trades&quot; - array of trade ids related to order (if trades info requested and data available). Note: Unless otherwise stated, costs, fees, prices, and volumes are in the asset pair&#39;s scale, not the currency&#39;s scale. For example, if the asset pair uses a lot size that has a scale of 8, the volume will use a scale of 8, even if the currency it represents only has a scale of 2. Similarly, if the asset pair&#39;s pricing scale is 5, the scale will remain as 5, even if the underlying currency has a scale of 8. Example response: {:ok, %{ &quot;open&quot; =&gt; %{ &quot;OVAQ4T-WFN4B-J246BW&quot; =&gt; %{ &quot;cost&quot; =&gt; &quot;0.00000000&quot;, &quot;descr&quot; =&gt; %{ &quot;close&quot; =&gt; &quot;&quot;, &quot;leverage&quot; =&gt; &quot;none&quot;, &quot;order&quot; =&gt; &quot;sell 100.00000000 XRPEUR @ limit 1.55000&quot;, &quot;ordertype&quot; =&gt; &quot;limit&quot;, &quot;pair&quot; =&gt; &quot;XRPEUR&quot;, &quot;price&quot; =&gt; &quot;1.55000&quot;, &quot;price2&quot; =&gt; &quot;0&quot;, &quot;type&quot; =&gt; &quot;sell&quot; }, &quot;expiretm&quot; =&gt; 0, &quot;fee&quot; =&gt; &quot;0.00000000&quot;, &quot;limitprice&quot; =&gt; &quot;0.00000000&quot;, &quot;misc&quot; =&gt; &quot;&quot;, &quot;oflags&quot; =&gt; &quot;fciq&quot;, &quot;opentm&quot; =&gt; 1516957593.9522, &quot;price&quot; =&gt; &quot;0.00000000&quot;, &quot;refid&quot; =&gt; nil, &quot;starttm&quot; =&gt; 0, &quot;status&quot; =&gt; &quot;open&quot;, &quot;stopprice&quot; =&gt; &quot;0.00000000&quot;, &quot;userref&quot; =&gt; 0, &quot;vol&quot; =&gt; &quot;100.00000000&quot;, &quot;vol_exec&quot; =&gt; &quot;0.00000000&quot; } } }}"},{"ref":"Krakex.html#open_positions/3","title":"Krakex.open_positions/3","type":"function","doc":"Get open positions. Takes a list of tx_ids to restrict output to and the following keyword options: :docalcs - whether or not to include profit/loss calculations. (default: false) Returns a map with the txid as the key and the value is a map with fields: &quot;ordertxid&quot; - order responsible for execution of trade. &quot;pair&quot; - asset pair. &quot;time&quot; - unix timestamp of trade. &quot;type&quot; - type of order used to open position (buy/sell). &quot;ordertype&quot; - order type used to open position. &quot;cost&quot; - opening cost of position (quote currency unless viqc set in &quot;oflags&quot;). &quot;fee&quot; - opening fee of position (quote currency). &quot;vol&quot; - position volume (base currency unless viqc set in &quot;oflags&quot;). &quot;vol_closed&quot; - position volume closed (base currency unless viqc set in &quot;oflags&quot;). &quot;margin&quot; - initial margin (quote currency). &quot;value&quot; - current value of remaining position (if docalcs requested. quote currency). &quot;net&quot; - unrealized profit/loss of remaining position (if docalcs requested. quote currency, quote currency scale). &quot;misc&quot; - comma delimited list of miscellaneous info. &quot;oflags&quot; - comma delimited list of order flags: &quot;viqc&quot; - volume in quote currency. Note: Unless otherwise stated, costs, fees, prices, and volumes are in the asset pair&#39;s scale, not the currency&#39;s scale."},{"ref":"Krakex.html#query_ledgers/2","title":"Krakex.query_ledgers/2","type":"function","doc":"Query ledgers. Takes a list of (maximum 20) ledger ids to query info about. Returns a map with the ledger id as the key and the value is a map with fields as described in ledgers/3."},{"ref":"Krakex.html#query_orders/3","title":"Krakex.query_orders/3","type":"function","doc":"Query orders info. Takes a list of (maximum 20) tx_ids to query info about and the following keyword options: :trades - whether or not to include trades in output. false (default) :userref - restrict results to given user reference id. Returns a map with the txid as the key and the value is a map with the fields as described in open_orders/2."},{"ref":"Krakex.html#query_trades/3","title":"Krakex.query_trades/3","type":"function","doc":"Query trades info. Takes a list of (maximum 20) tx_ids and the following keyword options: :trades - whether or not to include trades related to position in output. (default: false) Returns a map with the same fields as described in trades_history/2."},{"ref":"Krakex.html#server_time/1","title":"Krakex.server_time/1","type":"function","doc":"Get server time. This is to aid in approximating the skew time between the server and client. Returns a map with the fields: &quot;unixtime&quot; - as unix timestamp. &quot;rfc1123&quot; - as RFC 1123 time format. Example response: {:ok, %{&quot;rfc1123&quot; =&gt; &quot;Thu, 4 Jan 18 14:57:58 +0000&quot;, &quot;unixtime&quot; =&gt; 1515077878}}"},{"ref":"Krakex.html#spread/3","title":"Krakex.spread/3","type":"function","doc":"Get recent spread data. Returns the spread data for an asset pair. Takes an asset pair and the following keyword options: :since - return spread data since given id (inclusive). Returns a map with the asset pair and a list of lists with the entries (time, bid, ask) and: &quot;last&quot; - id to be used as since when polling for new trade data. Example response: {:ok, %{&quot;BCHEUR&quot; =&gt; [[1515079584, &quot;2025.000000&quot;, &quot;2025.000000&quot;], [1515079584, &quot;2025.000000&quot;, &quot;2036.100000&quot;], [1515079594, &quot;2025.000000&quot;, &quot;2025.000000&quot;], [1515079596, &quot;2025.000000&quot;, &quot;2026.000000&quot;], [1515080461, &quot;2025.500000&quot;, &quot;2034.100000&quot;], [1515080462, &quot;2025.000000&quot;, &quot;2034.100000&quot;]], &quot;last&quot; =&gt; 1515083299}}"},{"ref":"Krakex.html#ticker/2","title":"Krakex.ticker/2","type":"function","doc":"Get ticker information. Takes list of asset pairs to get info on. Returns a map of asset pairs and a map of their ticker info with the fields: &quot;a&quot; - ask array(price, whole lot volume, lot volume). &quot;b&quot; - bid array(price, whole lot volume, lot volume). &quot;c&quot; - last trade closed array(price, lot volume). &quot;v&quot; - volume array(today, last 24 hours). &quot;p&quot; - volume weighted average price array(today, last 24 hours). &quot;t&quot; - number of trades array(today, last 24 hours). &quot;l&quot; - low array(today, last 24 hours). &quot;h&quot; - high array(today, last 24 hours). &quot;o&quot; - today&#39;s opening price. Example response: {:ok, %{&quot;BCHEUR&quot; =&gt; %{&quot;a&quot; =&gt; [&quot;2034.800000&quot;, &quot;1&quot;, &quot;1.000&quot;], &quot;b&quot; =&gt; [&quot;2025.000000&quot;, &quot;8&quot;, &quot;8.000&quot;], &quot;c&quot; =&gt; [&quot;2025.000000&quot;, &quot;0.03660000&quot;], &quot;h&quot; =&gt; [&quot;2140.000000&quot;, &quot;2227.600000&quot;], &quot;l&quot; =&gt; [&quot;1942.000000&quot;, &quot;1942.000000&quot;], &quot;o&quot; =&gt; &quot;2134.000000&quot;, &quot;p&quot; =&gt; [&quot;2021.440397&quot;, &quot;2051.549114&quot;], &quot;t&quot; =&gt; [3824, 6704], &quot;v&quot; =&gt; [&quot;1956.76538027&quot;, &quot;4086.36386115&quot;]}}}"},{"ref":"Krakex.html#trade_balance/2","title":"Krakex.trade_balance/2","type":"function","doc":"Get trade balance. Takes the following keyword options: :aclass - asset class. &quot;currency&quot; (default) :asset - base asset used to determine balance. &quot;ZUSD&quot; (default) Returns a map with the fields: &quot;eb&quot; - equivalent balance (combined balance of all currencies). &quot;tb&quot; - trade balance (combined balance of all equity currencies). &quot;m&quot; - margin amount of open positions. &quot;n&quot; - unrealized net profit/loss of open positions. &quot;c&quot; - cost basis of open positions. &quot;v&quot; - current floating valuation of open positions. &quot;e&quot; - equity = trade balance + unrealized net profit/loss. &quot;mf&quot; - free margin = equity - initial margin (maximum margin available to open new positions). &quot;ml&quot; - margin level = (equity / initial margin) * 100. Note: Rates used for the floating valuation is the midpoint of the best bid and ask prices. Example response: {:ok, %{&quot;c&quot; =&gt; &quot;0.0000&quot;, &quot;e&quot; =&gt; &quot;725.4974&quot;, &quot;eb&quot; =&gt; &quot;1177.9857&quot;, &quot;m&quot; =&gt; &quot;0.0000&quot;, &quot;mf&quot; =&gt; &quot;725.4974&quot;, &quot;n&quot; =&gt; &quot;0.0000&quot;, &quot;tb&quot; =&gt; &quot;725.4974&quot;, &quot;v&quot; =&gt; &quot;0.0000&quot;}}"},{"ref":"Krakex.html#trade_volume/2","title":"Krakex.trade_volume/2","type":"function","doc":"Get trade volume. Takes the following keyword options: :pair - list of asset pairs to get fee info on. :&quot;fee-info&quot; - whether or not to include fee info in results. Returns a map with the following fields: &quot;currency&quot; - volume currency. &quot;volume&quot; - current discount volume. &quot;fees&quot; - map of asset pairs and fee tier info (if requested): &quot;fee&quot; - current fee in percent. &quot;minfee&quot; - minimum fee for pair (if not fixed fee). &quot;maxfee&quot; - maximum fee for pair (if not fixed fee). &quot;nextfee&quot; - next tier&#39;s fee for pair (if not fixed fee. nil if at lowest fee tier). &quot;nextvolume&quot; - volume level of next tier (if not fixed fee. nil if at lowest fee tier). &quot;tiervolume&quot; - volume level of current tier (if not fixed fee. nil if at lowest fee tier). &quot;fees_maker&quot; - map of asset pairs and maker fee tier info (if requested) for any pairs on maker/taker schedule: &quot;fee&quot; - current fee in percent. &quot;minfee&quot; - minimum fee for pair (if not fixed fee). &quot;maxfee&quot; - maximum fee for pair (if not fixed fee). &quot;nextfee&quot; - next tier&#39;s fee for pair (if not fixed fee. nil if at lowest fee tier). &quot;nextvolume&quot; - volume level of next tier (if not fixed fee. nil if at lowest fee tier). &quot;tiervolume&quot; - volume level of current tier (if not fixed fee. nil if at lowest fee tier). Note: If an asset pair is on a maker/taker fee schedule, the taker side is given in &quot;fees&quot; and maker side in &quot;fees_maker&quot;. For pairs not on maker/taker, they will only be given in &quot;fees&quot;."},{"ref":"Krakex.html#trades/3","title":"Krakex.trades/3","type":"function","doc":"Get recent trades. Returns the trade data for an asset pair. Takes an asset pair and the following keyword options: :since - return committed OHLC data since given id (exclusive). Returns a map with the asset pair and a list of lists with the entries (price, volume, time, buy/sell, market/limit, miscellaneous) and: &quot;last&quot; - id to be used as since when polling for new trade data. Example response: {:ok, %{&quot;BCHEUR&quot; =&gt; [[&quot;2008.100000&quot;, &quot;0.09000000&quot;, 1515066097.1379, &quot;b&quot;, &quot;m&quot;, &quot;&quot;], [&quot;2008.200000&quot;, &quot;0.24850000&quot;, 1515066097.1663, &quot;b&quot;, &quot;m&quot;, &quot;&quot;], [&quot;2008.300000&quot;, &quot;4.36233575&quot;, 1515066097.1771, &quot;b&quot;, &quot;m&quot;, &quot;&quot;], [&quot;2005.000000&quot;, &quot;0.04107303&quot;, 1515066117.0598, &quot;s&quot;, &quot;l&quot;, &quot;&quot;], [&quot;2008.000000&quot;, &quot;0.07700000&quot;, 1515066117.389, &quot;b&quot;, &quot;l&quot;, &quot;&quot;], &quot;last&quot; =&gt; &quot;1515076587511702121&quot;}}"},{"ref":"Krakex.html#trades_history/3","title":"Krakex.trades_history/3","type":"function","doc":"Get trades history. Takes an offset and the following keyword options: :type - type of trade: &quot;all&quot; - all types. (default) &quot;any position&quot; - any position (open or closed). &quot;closed position&quot; - positions that have been closed. &quot;closing position&quot; - any trade closing all or part of a position. &quot;no position&quot; - non-positional trades. :trades - whether or not to include trades related to position in output. (default: false) :start - starting unix timestamp or trade tx id of results. (exclusive) :end - ending unix timestamp or trade tx id of results. (inclusive) Returns a map with the fields &quot;trades&quot; and &quot;count&quot;. The map of trades has the txid as the key and the value is a map with fields: &quot;ordertxid&quot; - order responsible for execution of trade. &quot;pair&quot; - asset pair. &quot;time&quot; - unix timestamp of trade. &quot;type&quot; - type of order (buy/sell). &quot;ordertype&quot; - order type. &quot;price&quot; - average price order was executed at (quote currency). &quot;cost&quot; - total cost of order (quote currency). &quot;fee&quot; - total fee (quote currency). &quot;vol&quot; - volume (base currency). &quot;margin&quot; - initial margin (quote currency). &quot;misc&quot; - comma delimited list of miscellaneous info: &quot;closing&quot; - trade closes all or part of a position. If the trade opened a position, the follow fields are also present in the trade info: &quot;posstatus&quot; - position status (open/closed). &quot;cprice&quot; - average price of closed portion of position (quote currency). &quot;ccost&quot; - total cost of closed portion of position (quote currency). &quot;cfee&quot; - total fee of closed portion of position (quote currency). &quot;cvol&quot; - total fee of closed portion of position (quote currency). &quot;cmargin&quot; - total margin freed in closed portion of position (quote currency). &quot;net&quot; - net profit/loss of closed portion of position (quote currency, quote currency scale). &quot;trades&quot; - list of closing trades for position (if available). Note: Unless otherwise stated, costs, fees, prices, and volumes are in the asset pair&#39;s scale, not the currency&#39;s scale. Times given by trade tx ids are more accurate than unix timestamps. Example response: {:ok, %{ &quot;count&quot; =&gt; 82, &quot;trades&quot; =&gt; %{ &quot;TECAE6-7ZWNZ-WICHNR&quot; =&gt; %{ &quot;cost&quot; =&gt; &quot;5.11000&quot;, &quot;fee&quot; =&gt; &quot;0.00818&quot;, &quot;margin&quot; =&gt; &quot;0.00000&quot;, &quot;misc&quot; =&gt; &quot;&quot;, &quot;ordertxid&quot; =&gt; &quot;OAOO5O-RAUU2-BCKZIH&quot;, &quot;ordertype&quot; =&gt; &quot;limit&quot;, &quot;pair&quot; =&gt; &quot;XXBTZEUR&quot;, &quot;price&quot; =&gt; &quot;365.00000&quot;, &quot;time&quot; =&gt; 1457183489.6049, &quot;type&quot; =&gt; &quot;buy&quot;, &quot;vol&quot; =&gt; &quot;0.01400000&quot; } } }}"},{"ref":"Krakex.html#withdraw_info/5","title":"Krakex.withdraw_info/5","type":"function","doc":"Get withdrawal information. Takes an asset, the withdrawal key name as set up in your account, an amount to withdraw and the following keyword options: :aclass - asset class. &quot;currency&quot; (default) Returns a map with the following fields: &quot;method&quot; - name of the withdrawal method that will be used. &quot;limit&quot; - maximum net amount that can be withdrawn right now. &quot;fee&quot; - amount of fees that will be paid. Example response: {:ok, %{ &quot;amount&quot; =&gt; &quot;0.10670000&quot;, &quot;fee&quot; =&gt; &quot;0.00100000&quot;, &quot;limit&quot; =&gt; &quot;0.10770000&quot;, &quot;method&quot; =&gt; &quot;Bitcoin&quot; }}"},{"ref":"Krakex.API.html","title":"Krakex.API","type":"module","doc":"Access to public and private APIs. This module defines functions for building calls for the public and private APIs and handles things such as request signing."},{"ref":"Krakex.API.html#private_request/3","title":"Krakex.API.private_request/3","type":"function","doc":"Access private API calls. It signs requests using the API and private keys. It will raise a Krakex.API.MissingCredentialsError if provided a Krakex.Client struct without values for either the API or private keys."},{"ref":"Krakex.API.html#public_request/3","title":"Krakex.API.public_request/3","type":"function","doc":"Access public API calls."},{"ref":"Krakex.API.html#t:response/0","title":"Krakex.API.response/0","type":"type","doc":""},{"ref":"Krakex.API.MissingConfigError.html","title":"Krakex.API.MissingConfigError","type":"exception","doc":"Error raised when attempting to use private API functions without having specified values for the API and/or private keys."},{"ref":"Krakex.API.MissingCredentialsError.html","title":"Krakex.API.MissingCredentialsError","type":"exception","doc":"Error raised when attempting to use private API functions and the Krakex.Client struct didn&#39;t specify values for the API and/or private keys."},{"ref":"Krakex.Client.html","title":"Krakex.Client","type":"module","doc":"The Krakex client. This modules defines a Krakex.Client struct which is needed to use any of the functions defined in the Krakex module. It contains the following fields: key - the API key. secret - the private API key. endpoint - the base URL of the API (default: &quot;https://api.kraken.com&quot;)."},{"ref":"Krakex.Client.html#new/3","title":"Krakex.Client.new/3","type":"function","doc":"Returns a Krakex.Client struct. It takes care of initializing the values for the API and private keys. The endpoint argument can optionally be set."},{"ref":"Krakex.Client.html#t:t/0","title":"Krakex.Client.t/0","type":"type","doc":""}]